import React from "react";
import Button from "@mui/material/Button";
import DialogActions from "@mui/material/DialogActions";
import DialogContent from "@mui/material/DialogContent";

function ManualSelector(props) {
  const { cache, setCache, cancel, next } = props;
  function makeReq() {
    setCache({
      testNames: ["failing"],
    });
  }

  return (
    <React.Fragment>
      <DialogContent>
        {JSON.stringify(cache)}
        <button onClick={makeReq}>Clickme</button>
      </DialogContent>
      <DialogActions>
        <Button onClick={cancel}>Cancel</Button>
        <Button onClick={next} autoFocus>
          Next
        </Button>
      </DialogActions>
    </React.Fragment>
  );
}

export default ManualSelector;
